using Edu.Common.Plugin;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 订单来源枚举
    /// </summary>
    public enum OrderSourceEnum
    {
        /// <summary>
        /// 网络报名
        /// </summary>
        [EnumField("网络报名")]
        Web = 1,
        /// <summary>
        /// 线下发展
        /// </summary>
        [EnumField("线下发展")]
        OffLine = 2,
        /// <summary>
        /// 一般同行
        /// </summary>
        [EnumField("一般同行")]
        Client = 3,
        /// <summary>
        /// 转介人/学员介绍
        /// </summary>
        [EnumField("转介人/学员介绍")]
        Student = 4,
        /// <summary>
        /// 内部亲属
        /// </summary>
        [EnumField("内部亲属")]
        Internal = 5,
        /// <summary>
        /// 内部员工
        /// </summary>
        [EnumField("内部员工")]
        Employee = 6,
        /// <summary>
        /// 一般同行
        /// </summary>
        [EnumField("教育同行")]
        EduClient = 7,
        /// <summary>
        /// 甲鹤小程序
        /// </summary>
        [EnumField("甲鹤小程序")]
        MallApplet = 8,
        /// <summary>
        /// 教育同行B2B报名
        /// </summary>
        [EnumField("教育同行B2B")]
        EduB2BClient = 9,
    }
}
